NWBOCREATE(8)

NAME
nwbocreate - Create a NetWare Bindery Object

SYNOPSIS
nwbocreate [ -h ] [ -S server ] [ -U user name ] [ -P password | -n ] [ -C ] [ -o object name ] [ -t type ] [ -r read-flag ] [ -w write-flag ]

DESCRIPTION
nwbocreate creates the specified NetWare Bindery Object. nwbocreate looks up the file $HOME/.nwclient to find a file server, a user name and possibly a password. See nwclient(5) for more information. Please note that the access permissions of $HOME/.nwclient MUST be 600 for security reasons.

OPTIONS
-h
    -h is used to print out a short help text.
-S server
    server is the name of the server you want to use.
-U user
    user is the user name to use for login.
-P password
    password is the password to use for login. If neither -n nor -P are given, and the user has no open connection to the server, nwbocreate prompts for a password.
-n
    -n should be given if no password is required for the login.
-C
    By default, passwords are converted to uppercase before they are sent to the server, because most servers require this. You can turn off this conversion by -C.
-o object name
    The name of the object to be created.
-t object type
    The type of the object. Object type must be specified as a decimal value. Common values are 1 for user objects, 2 for group objects and 3 for print queues. Other values are allowed, but are usually used for specialized applications.
-r read-flag -w write-flag
    Read security and write security may each have one of the following values:
     ANYONE: Anyone may access the object
     LOGGED: Anyone who is logged in may access the
                 object
     OBJECT: Anyone who is logged in as the object or
                 SUPERVISOR equivalent may access the
                 object
     SUPERVISOR: Anyone who is logged in as SUPERVISOR
                 equivalent may access the object
     NETWARE: Only the Bindery may access the object

AUTHORS
nwbocreate was written by Volker Lendecke with the corresponding Caldera utility in mind. See the Changes file of ncpfs for other contributors.